<?php

// Set Content Width
if ( ! isset( $content_width ) )
	$content_width = 860;

/*==================================== THEME SETUP ====================================*/
// Load default style.css and Javascripts
add_action('wp_enqueue_scripts', 'adsoft_enqueue_scripts');

function adsoft_enqueue_scripts() {
	
	// Register and Enqueue Font
	wp_enqueue_style( 'sos-symbols', get_template_directory_uri() . '/css/sos-symbols.css', array(), '0.0.1' );
	
	// Register and Enqueue Stylesheet
	wp_enqueue_style( 'adsoft-style', get_stylesheet_uri(), array( 'sos-symbols' ) );
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}	
	// Enqueue jQuery Framework
	wp_enqueue_script('jquery');

	// Enqueue jQuery tabs
	wp_enqueue_script( 'adsoft-settings', get_template_directory_uri() . '/js/settings.js', array( 'jquery' ) );	

	// Register and Enqueue funcybox JS and CSS if necessary	
	wp_enqueue_script('adsoft_jquery_funcybox', get_template_directory_uri() .'/js/jquery.fancybox.js?v=2.1.5', array('jquery'));

	// Funcybox CSS
	wp_enqueue_style('adsoft_funcybox_style', get_template_directory_uri() . '/css/jquery.fancybox.css?v=2.1.5');
	
	// owl.carousel JS		
	wp_enqueue_script('adsoft_jquery_owl_carousel', get_template_directory_uri() .'/js/owl.carousel.min.js', array('jquery'));

	// owl.carousel CSS
	wp_enqueue_style('adsoft_slider_style', get_template_directory_uri() . '/css/owl.carousel.css', array('sos-symbols'));
	
	// Register and enqueue carousel.js
	wp_enqueue_script('adsoft_jquery_frontpage_scrolling', get_template_directory_uri() .'/js/scrolling.js', array('adsoft_jquery_owl_carousel'));
	
	// Register and Enqueue News Ticker JS and CSS if necessary
	$options = get_option('adsoft_options');
    if(isset($options['adsoft_general_news_ticker']) and $options['adsoft_general_news_ticker'] == 'true') :		
		// News Ticker JS
		wp_enqueue_script('adsoft_jquery_newsticker', get_template_directory_uri() .'/js/jquery.ticker.js', array('jquery'));

		// News Ticker CSS
		wp_enqueue_style('adsoft_newsticker_style', get_template_directory_uri() . '/css/ticker-style.css', array( 'sos-symbols' ));
		
		// Register and enqueue newsticker.js
		wp_enqueue_script('adsoft_jquery_ticker', get_template_directory_uri() .'/js/nt.js', array('adsoft_jquery_newsticker'));
	
	endif;
		
	// Register and Enqueue csslider JS and CSS if necessary
	if( is_home() && ! is_paged() ) {				
	
	$options = get_option('adsoft_options');
	    if(isset($options['adsoft_frontpage_slider_active']) and $options['adsoft_frontpage_slider_active'] == 'true' ) :
		
		// Register and enqueue slider.js
		wp_enqueue_script('adsoft_jquery_frontpage_slider', get_template_directory_uri() .'/js/slider.js', array('adsoft_jquery_owl_carousel'));

	endif;

	// Register and Enqueue Load More Posts JS if necessary
	if(isset($options['adsoft_frontpage_posts_active']) and $options['adsoft_frontpage_posts_active'] == 'true') :
		
		// Register and enqueue posts.js
		wp_enqueue_script('adsoft_jquery_load_posts', get_template_directory_uri() .'/js/posts.js', array('jquery'));
	
	endif;		
	}
	// Register and Enqueue csslider JS and CSS if necessary
	$options = get_option('adsoft_options');
	if(isset($options['adsoft_general_sticky_menu']) and $options['adsoft_general_sticky_menu'] == 'true' ) :

    // sticky JS
		
		wp_register_script('adsoft_jquery_sticky_menu', get_template_directory_uri() .'/js/jquery.sticky.js', array('jquery'));
		wp_enqueue_script('adsoft_jquery_sticky_menu');
		
		wp_register_script('adsoft_jquery_load_sticky_menu', get_template_directory_uri() .'/js/loadsticky.js', array('adsoft_jquery_sticky_menu'));
		wp_enqueue_script('adsoft_jquery_load_sticky_menu');
		
	endif;	
	
    // Load additional Predefined Color Schemes if Custom Colors is deactivated
	$options = get_option('adsoft_options');
	
	// Load PredefinedColor CSS
    if (isset($options['adsoft_color_activate']) or $options['adsoft_color_activate'] == 'true' ) :
		wp_register_style('adsoft_colorscheme', get_template_directory_uri() . '/includes/customization/colorschemes/' . $options['adsoft_stylesheet']);
		wp_enqueue_style( 'adsoft_colorscheme');
    endif;

	if( is_single() ) {
    // Register and Enqueue author bio css if necessary
	$options = get_option('adsoft_options');
	if(isset($options['adsoft_author_section_activated']) and $options['adsoft_author_section_activated'] == 'true') : 
		wp_register_style('adsoft_author_bio_style', get_template_directory_uri() . '/css/author-bio.css');
		wp_enqueue_style('adsoft_author_bio_style');
	
	endif;	
	}
	
	// Register and enqueue navigation.js
	wp_register_script('adsoft_jquery_navigation', get_template_directory_uri() .'/js/navigation.js', array('jquery'));
	wp_enqueue_script('adsoft_jquery_navigation');
	
}

// Setup Function: Registers support for various WordPress features
add_action( 'after_setup_theme', 'adsoft_setup' );

if ( ! function_exists( 'adsoft_setup' ) ):
function adsoft_setup() { 
	
	// init Localization
	load_theme_textdomain('adsoft_language', get_template_directory() . '/languages' );
	
	// Add Theme Support
	add_theme_support('post-thumbnails');
	
	// Add Theme Support
	add_theme_support( "title-tag" );
	
	// Add Slider Image Size
	add_image_size( 'slider_image', 370, 200, true);	
	// Add Frontpage Thumbnail Sizes
	add_image_size( 'frontpage_big_image', 535, 185, true);
	add_image_size( 'thumb-medium', 295, 185, true );
	add_image_size( 'thumb-small', 80, 60, true );
	
	add_theme_support('automatic-feed-links');
	add_editor_style();
		
	// Register Navigation Menus
	register_nav_menus( array(
		'topleft' => __('Top Left Menu', 'adsoft_language'),
		'main_navi' => __('Main Menu', 'adsoft_language'),
		'footermen' => __('Footer Menu', 'adsoft_language'),
	) );
	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
	) );
}
endif;

// Register Sidebars
add_action( 'widgets_init', 'adsoft_widgets_init' );

function adsoft_widgets_init() {
	
	// Register Sidebars
	register_sidebar( array(
		'name' => __( 'Main Sidebar', 'adsoft_language' ),
		'id' => 'sidebar-main',
		'description' => __( 'Appears on posts and also pages (in case Sidebar Pages has no widgets) except frontpage/fullwidth template.', 'adsoft_language' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widgettitle">',
		'after_title' => '</h3>',
	));
	register_sidebar( array(
		'name' => __( 'Sidebar Pages', 'adsoft_language' ),
		'id' => 'sidebar-pages',
		'description' => __( 'Appears on static pages only. Leave this widget area empty to use Main Sidebar on pages.', 'adsoft_language' ),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h3 class="widgettitle">',
		'after_title' => '</h3>',
	));
	register_sidebar( array(
		'name'          => __( 'Header', 'adsoft_language' ),
		'id'            => 'sidebar-header',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widgettitle">',
		'after_title'   => '</h3>',
	) );
	register_sidebar( array(
		'name'          => __( 'Content', 'adsoft_language' ),
		'id'            => 'sidebar-content',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widgettitle">',
		'after_title'   => '</h3>',
	) );
	register_sidebar( array(
		'name'          => __( 'Sub Footer 1', 'adsoft_language' ),
		'id'            => 'sidebar-ft1',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widgettitle">',
		'after_title'   => '</h3>',
	) );
	register_sidebar( array(
		'name'          => __( 'Sub Footer 2', 'adsoft_language' ),
		'id'            => 'sidebar-ft2',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widgettitle">',
		'after_title'   => '</h3>',
	) );
	register_sidebar( array(
		'name'          => __( 'Sub Footer 3', 'adsoft_language' ),
		'id'            => 'sidebar-ft3',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widgettitle">',
		'after_title'   => '</h3>',
	) );
	register_sidebar( array(
		'name'          => __( 'Sub Footer 4', 'adsoft_language' ),
		'id'            => 'sidebar-ft4',
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h3 class="widgettitle">',
		'after_title'   => '</h3>',
	) );
}

/*==================================== INCLUDE FILES ====================================*/

// Includes all files needed for theme options, custom JS/CSS and Widgets

	// include Theme Option Files
	require( get_template_directory() . '/includes/options/options-setup.php' );
	require( get_template_directory() . '/includes/options/options-framework.php' );

	// include Customization Files
	require( get_template_directory() . '/includes/customization/custom-colors.php' );
	require( get_template_directory() . '/includes/customization/fonts.css.php' );
	require( get_template_directory() . '/includes/customization/custom-layout.php' );
	require( get_template_directory() . '/includes/customization/custom-jscript.php' );
	
	// include Hooks, Template Tags and extra Features of the theme
	require( get_template_directory() . '/includes/template-tags.php' );
	require( get_template_directory() . '/includes/theme-hooks.php' );
    require( get_template_directory() . '/includes/custom-widgets.php' );
	

/*==================================== THEME FUNCTIONS ====================================*/


/**
 * Count the number of footer sidebars to enable dynamic classes for the footer
 *
 * @since adsoft 1.0
 */
function adsoft_footer_sidebar_class() {
	$count = 0;

	if ( is_active_sidebar( 'sidebar-ft1' ) )
		$count++;

	if ( is_active_sidebar( 'sidebar-ft2' ) )
		$count++;

	if ( is_active_sidebar( 'sidebar-ft3' ) )
		$count++;

	if ( is_active_sidebar( 'sidebar-ft4' ) )
		$count++;

	$class = '';

	switch ( $count ) {
		case '1':
			$class = 'container site-extra extra-one';
			break;
		case '2':
			$class = 'container site-extra extra-two';
			break;
		case '3':
			$class = 'container site-extra extra-three';
			break;
		case '4':
			$class = 'container site-extra extra-four';
			break;
	}

	if ( $class )
		echo 'class="' . $class . '"';
}


// Creates a better title element text for output in the head section
add_filter( 'wp_title', 'adsoft_wp_title', 10, 2 );

function adsoft_wp_title( $title, $sep = '' ) {
	global $paged, $page;

	if ( is_feed() )
		return $title;

	// Add the site name.
	$title .= get_bloginfo( 'name' );

	// Add the site description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";

	// Add a page number if necessary.
	if ( $paged >= 2 || $page >= 2 )
		$title = "$title $sep " . sprintf( __( 'Page %s', 'adsoft_language' ), max( $paged, $page ) );

	return $title;
}


// Add Default Menu Fallback Function
function adsoft_default_menu() {
	echo '<ul id="mainnav-menu" class="menu">'. wp_list_pages('title_li=&echo=0') .'</ul>';
}
function adsoft_footer_menu() {
	echo '<ul>'. wp_list_pages('title_li=&echo=0') .'</ul>';
}
// Change Excerpt Length
add_filter('excerpt_length', 'adsoft_excerpt_length');
function adsoft_excerpt_length($length) {
    return 50;
}

// Slideshow Excerpt Length
function adsoft_slideshow_excerpt_length($length) {
    return 25;
}

// Frontpage Category Excerpt Length
function adsoft_frontpage_category_excerpt_length($length) {
    return 13;
}

// Change Excerpt More
add_filter('excerpt_more', 'adsoft_excerpt_more');
function adsoft_excerpt_more($more) {
    return '';
}

// Add span widget title
add_filter ( 'widget_title', 'adsoft_widget_title' );
function adsoft_widget_title( $old_title ) {
 
    $title = explode( " ", $old_title, 2 );
    if ( isset( $title[0] ) && isset( $title[1] ) ) {
    $titleNew = "<span class='first'>$title[0]</span> $title[1]";
    }
    else{
        return;
}
    return $titleNew;
 
}

// Display social networks 
if ( ! function_exists( 'adsoft_social_networks' ) ):
function adsoft_social_networks() { 
$options = get_option('adsoft_options');
	?>
	<div id="righmenu"> 
	    <ul id="righsocial" class="clearfix">
		<?php 
		        if(isset($options['adsoft_social_rss']) and $options['adsoft_social_rss'] <> '')  {
							echo '<li><a class="menu-item-rss" href="' . esc_url($options['adsoft_social_rss']) . '" title="RSS"><i class="ico-rss"></i></a></li>';
						} 
			    if(isset($options['adsoft_social_facebook']) and $options['adsoft_social_facebook'] <> '')  {
							echo '<li><a class="menu-item-facebook" href="' . esc_url($options['adsoft_social_facebook']) . '" title="facebook"><i class="ico-facebook"></i></a></li>';
						}
				if(isset($options['adsoft_social_twitter']) and $options['adsoft_social_twitter'] <> '')  {
							echo '<li><a class="menu-item-twitter" href="' . esc_url($options['adsoft_social_twitter']) . '" title="twitter"><i class="ico-twitter"></i></a></li>';
						}		
				if(isset($options['adsoft_social_google']) and $options['adsoft_social_google'] <> '')  {
							echo '<li><a class="menu-item-gplus" href="' . esc_url($options['adsoft_social_google']) . '" title="gplus"><i class="ico-gplus"></i></a></li>';
						}
				if(isset($options['adsoft_social_youtube']) and $options['adsoft_social_youtube'] <> '')  {
							echo '<li><a class="menu-item-youtube" href="' . esc_url($options['adsoft_social_youtube']) . '" title="youtube"><i class="ico-youtube"></i></a></li>';
						}
                if(isset($options['adsoft_social_linkedin']) and $options['adsoft_social_linkedin'] <> '')  {
							echo '<li><a class="menu-item-linkedin" href="' . esc_url($options['adsoft_social_linkedin']) . '" title="linkedin"><i class="ico-linkedin"></i></a></li>';
						}
                if(isset($options['adsoft_social_pinterest']) and $options['adsoft_social_pinterest'] <> '')  {
							echo '<li><a class="menu-item-pinterest" href="' . esc_url($options['adsoft_social_pinterest']) . '" title="pinterest"><i class="ico-pinterest"></i></a></li>';
						}
                if(isset($options['adsoft_social_vimeo']) and $options['adsoft_social_vimeo'] <> '')  {
							echo '<li><a class="menu-item-vimeo" href="' . esc_url($options['adsoft_social_vimeo']) . '" title="vimeo"><i class="ico-vimeo"></i></a></li>';
						}
                if(isset($options['adsoft_social_flickr']) and $options['adsoft_social_flickr'] <> '')  {
							echo '<li><a class="menu-item-flickr" href="' . esc_url($options['adsoft_social_flickr']) . '" title="flickr"><i class="ico-flickr"></i></a></li>';
						}
                if(isset($options['adsoft_social_tumblr']) and $options['adsoft_social_tumblr'] <> '')  {
							echo '<li><a class="menu-item-tumblr" href="' . esc_url($options['adsoft_social_tumblr']) . '" title="tumblr"><i class="ico-tumblr"></i></a></li>';
						}
                if(isset($options['adsoft_social_instagram']) and $options['adsoft_social_instagram'] <> '')  {
							echo '<li><a class="menu-item-instagram" href="' . esc_url($options['adsoft_social_instagram']) . '" title="instagram"><i class="ico-instagram"></i></a></li>';
						}
                if(isset($options['adsoft_social_lastfm']) and $options['adsoft_social_lastfm'] <> '')  {
							echo '<li><a class="menu-item-lastfm" href="' . esc_url($options['adsoft_social_lastfm']) . '" title="last.fm"><i class="ico-lastfm"></i></a></li>';
						}
                if(isset($options['adsoft_social_soundcloud']) and $options['adsoft_social_soundcloud'] <> '')  {
							echo '<li><a class="menu-item-soundcloud" href="' . esc_url($options['adsoft_social_soundcloud']) . '" title="soundcloud"><i class="ico-soundcloud"></i></a></li>';
						}						
        ?>
			</ul>
       </div>	
		<?php wp_reset_postdata();
	}
	
endif;


// Retrieve Frontpage Posts Query
function adsoft_frontpage_posts_query($paged) {
	
	// Get Query Arguments
	$options = get_option('adsoft_options');
	$frontpage_posts_category = $options['adsoft_frontpage_posts_category'];
		
	$query_arguments = array(
		'post_type' => 'post',
		'post_status' => 'publish',
		'ignore_sticky_posts' => true,
		'posts_per_page' => 6,
		'paged' => $paged,
		'orderby' => 'date',
		'order' => 'DESC',
		'category_name' => $frontpage_posts_category
		);
	
	$tux_frontpage_posts_query = new WP_Query($query_arguments);
		
	return $tux_frontpage_posts_query;
}

// Add icon parent menu
class add_span_walker extends Walker_Nav_Menu {
    function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
        global $wp_query;
        $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

        $class_names = '';

        $classes = empty( $item->classes ) ? array() : (array) $item->classes;
        $classes[] = 'menu-item-' . $item->ID;

        $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );
        $class_names = $class_names ? ' class="' . esc_attr( $class_names ) . '"' : '';

        $id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
        $id = $id ? ' id="' . esc_attr( $id ) . '"' : '';

        $output .= $indent . '<li' . $id . $class_names .'>';

        $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
        $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
        $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
        $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';

        $item_output = $args->before;
        $item_output .= '<a'. $attributes .'>';
        $item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;

		if ( 'main_navi' == $args->theme_location ) {
            $submenus = 0 == $depth || 1 == $depth ? get_posts( array( 'post_type' => 'nav_menu_item', 'numberposts' => 1, 'meta_query' => array( array( 'key' => '_menu_item_menu_item_parent', 'value' => $item->ID, 'fields' => 'ids' ) ) ) ) : false;
            $item_output .= ! empty( $submenus ) ? ( 0 == $depth ? '<i class="ico-angle-down"></i>' : '<i class="ico-angle-right"></i>' ) : '';
        }
        $item_output .= '</a>';
        $item_output .= $args->after;

        $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
    }
}
// ADiable admin bar
 show_admin_bar(false); 

// Add Author Links
function add_to_author_profile( $contactmethods ) {
	
	$contactmethods['rss_url'] = 'RSS URL';
	$contactmethods['google_profile'] = 'Google Profile URL';
	$contactmethods['twitter_profile'] = 'Twitter Profile URL';
	$contactmethods['facebook_profile'] = 'Facebook Profile URL';
	$contactmethods['youtube_profile'] = 'YouTube Profile URL';
	$contactmethods['linkedin_profile'] = 'Linkedin Profile URL';	
	$contactmethods['pinterest_profile'] = 'Pinterest Profile URL';
	$contactmethods['vimeo_profile'] = 'Vimeo Profile URL';
	$contactmethods['flickr_profile'] = 'Flickr Profile URL';
	$contactmethods['tumblr_profile'] = 'Tumblr Profile URL';
	$contactmethods['instagram_profile'] = 'Instagram Profile URL';	
	$contactmethods['lastfm_profile'] = 'Last.fm Profile URL';
	$contactmethods['soundcloud_profile'] = 'SoundCloud Profile URL';
	
	return $contactmethods;
}
add_filter( 'user_contactmethods', 'add_to_author_profile', 10, 1);

/**
 * Breadcrumb by zifana.com
 */
function adsoft_simplex_breadcrumbs() {

	/* === OPTIONS === */
	$text['home']     = '<i class="ico-home"></i>'; // text for the 'Home' link
	$text['category'] = 'Archive by Category "%s"'; // text for a category page
	$text['search']   = 'Search Results for "%s" Query'; // text for a search results page
	$text['tag']      = 'Posts Tagged "%s"'; // text for a tag page
	$text['author']   = 'Articles Posted by %s'; // text for an author page
	$text['404']      = 'Error 404'; // text for the 404 page

	$showCurrent = 1; // 1 - show current post/page title in breadcrumbs, 0 - don't show
	$showOnHome  = 0; // 1 - show breadcrumbs on the homepage, 0 - don't show
	$delimiter   = ' <i class="ico-angle-double-right"></i> '; // delimiter between crumbs
	$before      = '<span class="current">'; // tag before the current crumb
	$after       = '</span>'; // tag after the current crumb
	/* === END OF OPTIONS === */

	global $post;
	$homeLink = home_url() . '/';
	$linkBefore = '<span typeof="v:Breadcrumb">';
	$linkAfter = '</span>';
	$linkAttr = ' rel="v:url" property="v:title"';
	$link = $linkBefore . '<a' . $linkAttr . ' href="%1$s">%2$s</a>' . $linkAfter;

	if (is_home() || is_front_page()) {

		if ($showOnHome == 1) echo '<div id="crumbs"><a href="' . $homeLink . '">' . $text['home'] . '</a></div>';

	} else {

		echo '<div id="crumbs" xmlns:v="http://rdf.data-vocabulary.org/#">' . sprintf($link, $homeLink, $text['home']) . $delimiter;

		if ( is_category() ) {
			$thisCat = get_category(get_query_var('cat'), false);
			if ($thisCat->parent != 0) {
				$cats = get_category_parents($thisCat->parent, TRUE, $delimiter);
				$cats = str_replace('<a', $linkBefore . '<a' . $linkAttr, $cats);
				$cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
				echo $cats;
			}
			echo $before . sprintf($text['category'], single_cat_title('', false)) . $after;

		} elseif ( is_search() ) {
			echo $before . sprintf($text['search'], get_search_query()) . $after;

		} elseif ( is_day() ) {
			echo sprintf($link, get_year_link(get_the_time('Y')), get_the_time('Y')) . $delimiter;
			echo sprintf($link, get_month_link(get_the_time('Y'),get_the_time('m')), get_the_time('F')) . $delimiter;
			echo $before . get_the_time('d') . $after;

		} elseif ( is_month() ) {
			echo sprintf($link, get_year_link(get_the_time('Y')), get_the_time('Y')) . $delimiter;
			echo $before . get_the_time('F') . $after;

		} elseif ( is_year() ) {
			echo $before . get_the_time('Y') . $after;

		} elseif ( is_single() && !is_attachment() ) {
			if ( get_post_type() != 'post' ) {
				$post_type = get_post_type_object(get_post_type());
				$slug = $post_type->rewrite;
				printf($link, $homeLink . '/' . $slug['slug'] . '/', $post_type->labels->singular_name);
				if ($showCurrent == 1) echo $delimiter . $before . get_the_title() . $after;
			} else {
				$cat = get_the_category(); $cat = $cat[0];
				$cats = get_category_parents($cat, TRUE, $delimiter);
				if ($showCurrent == 0) $cats = preg_replace("#^(.+)$delimiter$#", "$1", $cats);
				$cats = str_replace('<a', $linkBefore . '<a' . $linkAttr, $cats);
				$cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
				echo $cats;
				if ($showCurrent == 1) echo $before . get_the_title() . $after;
			}

		} elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
			$post_type = get_post_type_object(get_post_type());
			echo $before . $post_type->labels->singular_name . $after;

		} elseif ( is_attachment() ) {
			$parent = get_post($post->post_parent);
			$cat = get_the_category($parent->ID); $cat = $cat[0];
			$cats = get_category_parents($cat, TRUE, $delimiter);
			$cats = str_replace('<a', $linkBefore . '<a' . $linkAttr, $cats);
			$cats = str_replace('</a>', '</a>' . $linkAfter, $cats);
			echo $cats;
			printf($link, get_permalink($parent), $parent->post_title);
			if ($showCurrent == 1) echo $delimiter . $before . get_the_title() . $after;

		} elseif ( is_page() && !$post->post_parent ) {
			if ($showCurrent == 1) echo $before . get_the_title() . $after;

		} elseif ( is_page() && $post->post_parent ) {
			$parent_id  = $post->post_parent;
			$breadcrumbs = array();
			while ($parent_id) {
				$page = get_page($parent_id);
				$breadcrumbs[] = sprintf($link, get_permalink($page->ID), get_the_title($page->ID));
				$parent_id  = $page->post_parent;
			}
			$breadcrumbs = array_reverse($breadcrumbs);
			for ($i = 0; $i < count($breadcrumbs); $i++) {
				echo $breadcrumbs[$i];
				if ($i != count($breadcrumbs)-1) echo $delimiter;
			}
			if ($showCurrent == 1) echo $delimiter . $before . get_the_title() . $after;

		} elseif ( is_tag() ) {
			echo $before . sprintf($text['tag'], single_tag_title('', false)) . $after;

		} elseif ( is_author() ) {
	 		global $author;
			$userdata = get_userdata($author);
			echo $before . sprintf($text['author'], $userdata->display_name) . $after;

		} elseif ( is_404() ) {
			echo $before . $text['404'] . $after;
		}

		if ( get_query_var('paged') ) {
			if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
			echo __( 'Page', 'adsoft_language' ) . ' ' . get_query_var('paged');
			if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
		}

		echo '</div>';

	}
} // end adsoft_simplex_breadcrumbs()
?>