<!DOCTYPE html><!-- HTML 5 -->
<html <?php language_attributes(); ?>>

<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<?php /* Embeds HTML5shiv to support HTML5 elements in older IE versions plus CSS Backgrounds */ ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php // Display favicon
	$options = get_option('adsoft_options');
	if ( isset($options['adsoft_general_ico']) and $options['adsoft_general_ico'] <> "" ) : ?>
	<link rel="shortcut icon" href="<?php echo esc_url($options['adsoft_general_ico']); ?>" type="image/x-icon" />
	<?php endif; ?>
<?php if (is_single()) {
    $css = get_post_meta($post->ID, 'css', true);
    if (!empty($css)) { ?>
        <style type="text/css">
        <?php echo $css; ?>   
        </style>
    <?php } 
} ?>
  <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php adsoft_wrapper_before(); // hook before #wrapper ?>		

<div id="wrapper" class="hfeed">
    <div id="topBannerContainer">
	    <div id="topBanner" class="container clearfix">
 	       <?php wp_nav_menu( array( 'depth'=> 1,'theme_location' => 'topleft', 'container_id' => 'topLeftNav', 'menu_id' => 'leftmenu', 'walker'=> new add_span_walker() ) ); ?>
  	       <?php // social network
	    		$options = get_option('adsoft_options');
		    	if(isset($options['adsoft_social_network_menu_activated']) and $options['adsoft_social_network_menu_activated'] == 'true') : 

		    	adsoft_social_networks();
			
   	           endif; ?>
	    </div><!--end topBanner-->
    </div><!--end topBannerContainer-->
	<?php adsoft_header_before(); // hook before #header ?>
	<div id="header-wrap">
	
		<header id="header" class="heading container clearfix" role="banner">

		<div id="logo">
			
				<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
			<?php // Display Logo Image or Site Title
				$options = get_option('adsoft_options');
				if ( isset($options['adsoft_general_logo']) and $options['adsoft_general_logo'] <> "" ) : ?>
					<img class="logo-image" src="<?php echo esc_url($options['adsoft_general_logo']); ?>" alt="Logo" />
			<?php else: ?>
					<h1 class="site-title"><?php bloginfo('name'); ?></h1>
			<?php endif; ?>
				</a>
				
			<?php if(isset($options['adsoft_general_tagline']) and $options['adsoft_general_tagline'] == 'true') : ?>
				<h2 class="site-description"><?php echo bloginfo('description'); ?></h2>
			<?php endif; ?>
			
		</div>
		<?php if ( ! dynamic_sidebar( 'sidebar-header' ) ) : ?>
		<?php endif; ?>
		</header>
	<?php // Show news ticker
		$options = get_option('adsoft_options');
		if(isset($options['adsoft_general_news_ticker']) and $options['adsoft_general_news_ticker'] == 'true') : 

			adsoft_display_news_ticker();
			
    endif; ?>		
	</div>
	<?php adsoft_header_after(); // hook after #header ?>	

	<div id="navi-wrap">
		<nav id="mainnav" class="containernav clearfix" role="navigation">
			<?php 
				// Get Navigation out of Theme Options
				wp_nav_menu(array('theme_location' => 'main_navi', 'walker'=> new add_span_walker(), 'container' => 'false', 'menu_id' => 'mainnav-menu', 'fallback_cb' => 'adsoft_default_menu', 'before' => '', 'after' => '', 'link_before' => '', 'link_after' => '', 'depth' => 0));
			?>
		</nav>
	</div>
	<?php adsoft_header_after(); // hook after #header ?>	