<?php
/***
 * Custom Color Options
 *
 * Get custom colors from theme options and embed CSS color settings 
 * in the <head> area of the theme. 
 *
 */


// Add Custom Colors


	
add_action('wp_head', 'adsoft_css_colors');
function adsoft_css_colors() {
	
	$options = get_option('adsoft_options');
	
	if ( isset($options['adsoft_color_activate']) and $options['adsoft_color_activate'] == 'true' ) {
		
		echo '<style type="text/css">';
		echo '
			a, a:link, a:visited
			{
				color: '.esc_attr($options['adsoft_colors_font_link']).';
			}
			#nav-below .page_nav a, #nav-below .page_nav a, .page-links a, #topBannerContainer, #navi-wrap
			{
				background-color: '.esc_attr($options['adsoft_colors_navi_background']).';
			}
			#header {
			    border-top : 1px solid '.esc_attr($options['adsoft_colors_navi_background']).';
			}
			.page-title, .post-title,
			.post-title a:link, .post-title a:visited 
			{
				color: '.esc_attr($options['adsoft_colors_font_title']).';
			}
			
			body
			{
				background-color: '.esc_attr($options['adsoft_colors_body_background']).';
				background-image: url('.esc_url($options['adsoft_general_body_background_image']).');
			}
			
			#wrap, .type-post, .type-page, .type-attachment, #respond
			{
				background-color: '.esc_attr($options['adsoft_colors_main_background']).';
			}
			#header-wrap 
			{
				background-color: '.esc_attr($options['adsoft_colors_header_background']).';
			}
			#sidebar  
			{
			    background-color: '.esc_attr($options['adsoft_colors_sidebar_background']).';
			}

			#extra
			{
			    background-color: '.esc_attr($options['adsoft_colors_widget_footer_background']).';
			}
			
			#footer-wrap
			{
			    background-color: '.esc_attr($options['adsoft_colors_footer_background']).';
			}		
		';
		echo '</style>';
	}
}