<?php 
add_action('wp_head', 'adsoft_css_layout');
function adsoft_css_layout() {
	
	echo '<style type="text/css">';
	$options = get_option('adsoft_options');
	
	// Wide Layout?
	if ( isset($options['adsoft_general_theme_layout']) and $options['adsoft_general_theme_layout'] == '680' ) {
	
		echo '
			@media only screen and (min-width: 60em) {
				#wrapper, #navi-wrap {
					margin: 0;
					width: 100%;
					max-width: 100%;
				}
				#header .widget {
					max-width: 85%;
			    }
				.container{
					max-width: 1340px;
					width: 96%;
					margin: 0 auto;
					-webkit-box-sizing: border-box;
					-moz-box-sizing: border-box;
					box-sizing: border-box;
				}

			}
			@media only screen and (max-width: 70em) {
				.container {
					width: 94%;
				}
			}
			@media only screen and (max-width: 65em) {
				.container {
					width: 96%;
				}
			}
			@media only screen and (max-width: 60em) {
				.container {
					width: 100%;
				}
				#wrap {
					padding: 1.5em 1.5em 0;
				}
			}
		';
	}
	
	// Switch Sidebar to left?
	if ( isset($options['adsoft_general_sidebars']) and $options['adsoft_general_sidebars'] == 'left' ) {
	
		echo '
			@media only screen and (min-width: 60em) {
				#content {
					float: right;
					padding-right: 0;
					padding-left: 1.5em;
				}
				#sidebar {
					margin-left: 0;
					margin-right: 66.6%;
				}
			}
		';
	}
	if(isset($options['adsoft_frontpage_slider_active']) and $options['adsoft_frontpage_slider_active'] == 'true' ) {
		echo '
			@media only screen and (min-width: 60em) {
                #top-content-left {
				    width: 60%;
			    }
		';
	}
	// Add Custom CSS
	if ( isset($options['adsoft_general_css']) and $options['adsoft_general_css'] <> '' ) {
		echo wp_kses_post($options['adsoft_general_css']);
	}
	
	echo '</style>';
}