<?php 

// Include Fonts from Google Web Fonts API
function adsoft_load_web_fonts() { 

	$options = get_option('adsoft_options');
	
	// Default Fonts which haven't to be load from Google
	$default_fonts = array('Open Sans', 'Impact', 'Courier New', 'Arial', 'Verdana', 'Tahoma', 'Trebuchet MS', 'Helvetica');

	// Load Fonts ?
	if ( isset($options['adsoft_fonts_activate']) and $options['adsoft_fonts_activate'] == 'true' ) :
	
		// Load Text Font
		if(isset($options['adsoft_fonts_text']) and !in_array($options['adsoft_fonts_text'], $default_fonts)) :
			wp_register_style('adsoft_text_font', 'http://fonts.googleapis.com/css?family=' . $options['adsoft_fonts_text']);
			wp_enqueue_style('adsoft_text_font');
		endif;
		
		// Load Navigation Font
		if(isset($options['adsoft_fonts_navi']) and !in_array($options['adsoft_fonts_navi'], $default_fonts)) :
			wp_register_style('adsoft_navi_font', 'http://fonts.googleapis.com/css?family=' . $options['adsoft_fonts_navi']);
			wp_enqueue_style('adsoft_navi_font');
		endif;
		
		// Load Title Font
		if(isset($options['adsoft_fonts_title']) and !in_array($options['adsoft_fonts_title'], $default_fonts)) :
			wp_register_style('adsoft_title_font', 'http://fonts.googleapis.com/css?family=' . $options['adsoft_fonts_title']);
			wp_enqueue_style('adsoft_title_font');
		endif;
		
	// Load Standard Font
	else: 
		wp_register_style('adsoft_default_font', 'http://fonts.googleapis.com/css?family=Trebuchet MS');
		wp_enqueue_style('adsoft_default_font');
		wp_register_style('adsoft_default_font_two', 'http://fonts.googleapis.com/css?family=Russo One');
		wp_enqueue_style('adsoft_default_font_two');
	endif;
}
add_action('wp_enqueue_scripts', 'adsoft_load_web_fonts');

// Web Fonts Wrapper Function for Admin
function adsoft_load_web_fonts_admin() { 
	
	$default_fonts = adsoft_get_web_fonts();
			
	// Make sure to load Fonts only at Theme Options Page in the Backend
	if ( isset($_GET['page']) and $_GET['page'] == 'adsoft' and isset($_GET['tab']) and $_GET['tab'] == 'fonts' ) :
		
		foreach ( $default_fonts as $value => $label ) {
			wp_register_style('adsoft_font_' . $label, 'http://fonts.googleapis.com/css?family=' . $value);
			wp_enqueue_style('adsoft_font_' . $label);
		}
		
	endif; 
}
add_action('admin_init', 'adsoft_load_web_fonts_admin');

// CSS fonts
add_action('wp_head', 'adsoft_css_fonts');
function adsoft_css_fonts() {
	
	echo '<style type="text/css">';
	$options = get_option('adsoft_options');
	
	if ( isset($options['adsoft_fonts_activate']) and $options['adsoft_fonts_activate'] == 'true' ) {
	
		echo '
			#logo h1, #logo h2{
				font-family: "'.esc_attr($options['adsoft_fonts_logo']).'";
			}
			body, .postmeta {
				font-family: "'.esc_attr($options['adsoft_fonts_text']).'";
				font-size: '.esc_attr($options['adsoft_font_size_text']).'em;
			}
			.post-title, .page-title, .frontpage-category-title span, .frontpage-box-title span, .widgettitle {
				font-family: "'.esc_attr($options['adsoft_fonts_title']).'";
				font-size: '.esc_attr($options['adsoft_font_size_page_title']).'em;
			}
			#navi ul li a, #sidebar ul li h2, #mainnav-menu a {
				font-family: "'.esc_attr($options['adsoft_fonts_navi']).'";
				font-size: '.esc_attr($options['adsoft_font_size_navi']).'em;
			}
			.postmeta {
				font-size: 0.85em;
			}
			.post-title {
				font-size: '.esc_attr($options['adsoft_font_size_post_title']).'em;
			}
			
		';
	}
	echo '</style>';
}