<?php
	
	function adsoft_sections_colors() {
		$adsoft_sections = array();
		
		$adsoft_sections[] = array("id" => "adsoft_colors_schemes",
					"name" => __('Predefined Color Schemes', 'adsoft_language'));
					
		$adsoft_sections[] = array("id" => "adsoft_colors_custom",
					"name" => __('Custom Colors', 'adsoft_language'));
					
		$adsoft_sections[] = array("id" => "adsoft_colors_fonts",
					"name" => __('Font Colors', 'adsoft_language'));
					
		$adsoft_sections[] = array("id" => "adsoft_colors_background",
					"name" => __('Background Colors', 'adsoft_language'));
		
		return $adsoft_sections;
	}
	
	function adsoft_get_colors_settings() {
	
		$color_styles = array(
			'blue.css' => __('Blue', 'adsoft_language'),
			'green.css' => __('Green', 'adsoft_language'),
			'orange.css' => __('Orange', 'adsoft_language'),
			'purple.css' => __('Purple', 'adsoft_language'),
			'red.css' => __('Red', 'adsoft_language'),
			'teal.css' => __('Teal', 'adsoft_language'),
			'standard.css' => __('Standard', 'adsoft_language'));
		
		$adsoft_settings = array();
	
		### COLOR SETTINGS
		#######################################################################################
							
		$adsoft_settings[] = array("name" => "Set Color Scheme",
						"desc" => __('Please select your color scheme here.', 'adsoft_language'),
						"id" => "adsoft_stylesheet",
						"std" => "standard.css",
						"type" => "select",
						'choices' => $color_styles,
						"section" => "adsoft_colors_schemes"
						);
		
		$adsoft_settings[] = array("name" => __('Active Custom Colors?', 'adsoft_language'),
						"desc" => __('Check this to activate the Custom Color Function.', 'adsoft_language'),
						"id" => "adsoft_color_activate",
						"std" => "false",
						"type" => "checkbox",
						"section" => "adsoft_colors_custom");	
						
		#######################################################################################
						
		$adsoft_settings[] = array("name" => __('Link Color', 'adsoft_language'),
						"desc" => __("Select the color of links here, Click <strong>Clear</strong> button to reset color. ", 'adsoft_language'),
						"id" => "adsoft_colors_font_link",
						"std" => "",
						"type" => "colorpicker",
						"section" => "adsoft_colors_fonts");
						
		$adsoft_settings[] = array("name" => __('Post Title Color', 'adsoft_language'),
						"desc" => __("Select the color of post titles here, Click <strong>Clear</strong> button to reset color.", 'adsoft_language'),
						"id" => "adsoft_colors_font_title",
						"std" => "",
						"type" => "colorpicker",
						"section" => "adsoft_colors_fonts");
						
		#######################################################################################
		
		$adsoft_settings[] = array("name" => __('Body Background Color', 'adsoft_language'),
						"desc" => __("Select body background color, Click <strong>Default</strong> button to use default background color.", 'adsoft_language'),
						"id" => "adsoft_colors_body_background",
						"std" => "ffffff",
						"type" => "colorpicker",
						"section" => "adsoft_colors_background");	

        $adsoft_settings[] = array("name" => __('Body Background Image', 'adsoft_language'),
						"desc" => __('Paste the full image URL of your body background or click upload Image.', 'adsoft_language'),
						"id" => "adsoft_general_body_background_image",
						"std" => "",
						"type" => "image",
						"section" => "adsoft_colors_background");	

		$adsoft_settings[] = array("name" => __('Main Background Color', 'adsoft_language'),
						"desc" => __("Select the background color of main content here, Click <strong>Default</strong> button to use default background color.", 'adsoft_language'),
						"id" => "adsoft_colors_main_background",
						"std" => "ffffff",
						"type" => "colorpicker",
						"section" => "adsoft_colors_background");				
		
		$adsoft_settings[] = array("name" => __('Header Background Color', 'adsoft_language'),
						"desc" => __("Select the background color of header here.", 'adsoft_language'),
						"id" => "adsoft_colors_header_background",
						"std" => "ffffff",
						"type" => "colorpicker",
						"section" => "adsoft_colors_background");				
						
		$adsoft_settings[] = array("name" => __('Menu and navigation background color', 'adsoft_language'),
						"desc" => __("Select the background color of menu and navigation here.", 'adsoft_language'),
						"id" => "adsoft_colors_navi_background",
						"std" => "",
						"type" => "colorpicker",
						"section" => "adsoft_colors_background");
						
		$adsoft_settings[] = array("name" => __('Sidebar Background Color', 'adsoft_language'),
						"desc" => __("Select the background color of sidebar here.", 'adsoft_language'),
						"id" => "adsoft_colors_sidebar_background",
						"std" => "",
						"type" => "colorpicker",
						"section" => "adsoft_colors_background");		
		
		$adsoft_settings[] = array("name" => __('Widget Footer Background Color', 'adsoft_language'),
						"desc" => __("Select the background color of widget footer here.", 'adsoft_language'),
						"id" => "adsoft_colors_widget_footer_background",
						"std" => "",
						"type" => "colorpicker",
						"section" => "adsoft_colors_background");

		$adsoft_settings[] = array("name" => __('Footer Background Color', 'adsoft_language'),
						"desc" => __("Select the background color of footer here.", 'adsoft_language'),
						"id" => "adsoft_colors_footer_background",
						"std" => "",
						"type" => "colorpicker",
						"section" => "adsoft_colors_background");
						
		return $adsoft_settings;
	}

?>