<?php
	
	function adsoft_sections_fonts() {
		$adsoft_sections = array();
		
		$adsoft_sections[] = array("id" => "adsoft_fonts_active",
					"name" => __('Activate Custom Fonts', 'adsoft_language'));
		
		$adsoft_sections[] = array("id" => "adsoft_fonts_family",
					"name" => __('Font Families', 'adsoft_language'));
					
		$adsoft_sections[] = array("id" => "adsoft_fonts_sizes",
					"name" => __('Font Sizes', 'adsoft_language'));

		return $adsoft_sections;
	}
	
	function adsoft_settings_fonts() {
	
		// Array with alladsoft_lang available Fonts to choose from
		$default_fonts = adsoft_get_web_fonts();
	
		### FONTS SETTINGS
		#######################################################################################
		
		$adsoft_settings[] = array("name" => __('Active Custom Fonts?', 'adsoft_language'),
						"desc" => __('Check this to activate Custom Fonts.', 'adsoft_language'),
						"id" => "adsoft_fonts_activate",
						"std" => "false",
						"type" => "checkbox",
						"section" => "adsoft_fonts_active");
						
		$adsoft_settings[] = array("name" => __('Install more Fonts', 'adsoft_language'),
						"desc" => __('You want more fonts? You can install further fonts from the <a target="_blank" href="http://www.google.com/webfonts/">Google Font API</a> here. Just insert a list of fonts separated by Semicolon, i.e  Arial; Galindo; Cantora One; ...', 'adsoft_language'),
						"id" => "adsoft_fonts_installed",
						"std" => "",
						"type" => "text",
						"section" => "adsoft_fonts_active");
						
		$adsoft_settings[] = array("name" => __('Logo Font', 'adsoft_language'),
						"desc" => __("Select the font family of logo here.", 'adsoft_language'),
						"id" => "adsoft_fonts_logo",
						"std" => "Russo One",
						"type" => "fontpicker",
						'choices' => $default_fonts,
						"section" => "adsoft_fonts_family");
					
		$adsoft_settings[] = array("name" => __('Text Font', 'adsoft_language'),
						"desc" => __("Select the font family of text here.", 'adsoft_language'),
						"id" => "adsoft_fonts_text",
						"std" => "Open Sans",
						"type" => "fontpicker",
						'choices' => $default_fonts,
						"section" => "adsoft_fonts_family");
						
		$adsoft_settings[] = array("name" => __('Navigation and Main Menu font', 'adsoft_language'),
						"desc" => __("Select the navigation and Main Menu font here.", 'adsoft_language'),
						"id" => "adsoft_fonts_navi",
						"std" => "Oswald",
						"type" => "fontpicker",
						'choices' => $default_fonts,
						"section" => "adsoft_fonts_family");
						
		$adsoft_settings[] = array("name" => __('Title Font', 'adsoft_language'),
						"desc" => __("Select the title font here.", 'adsoft_language'),
						"id" => "adsoft_fonts_title",
						"std" => "Russo One",
						"type" => "fontpicker",
						'choices' => $default_fonts,
						"section" => "adsoft_fonts_family");
						
		#######################################################################################
						
		$adsoft_settings[] = array("name" => __('Size of Text', 'adsoft_language'),
						"desc" => __("Choose the font size of text in points (default: 0.8em).", 'adsoft_language'),
						"id" => "adsoft_font_size_text",
						"std" => "0.8",
						"type" => "fontsizer",
						"section" => "adsoft_fonts_sizes");
						
		$adsoft_settings[] = array("name" => __('Size of Navigation and Main Menu', 'adsoft_language'),
						"desc" => __("Choose the font size of navigation and Main Menu in points (default: 0.9em).", 'adsoft_language'),
						"id" => "adsoft_font_size_navi",
						"std" => "0.9",
						"type" => "fontsizer",
						"section" => "adsoft_fonts_sizes");
						
		$adsoft_settings[] = array("name" => __('Size of Page Title', 'adsoft_language'),
						"desc" => __("Choose the font size of page titles in points (default: 2em)", 'adsoft_language'),
						"id" => "adsoft_font_size_page_title",
						"std" => "2",
						"type" => "fontsizer",
						"section" => "adsoft_fonts_sizes");
						
		$adsoft_settings[] = array("name" => __('Size of Post Title', 'adsoft_language'),
						"desc" => __("Choose the font size of post tiles in points (default: 1.5em)", 'adsoft_language'),
						"id" => "adsoft_font_size_post_title",
						"std" => "1.5",
						"type" => "fontsizer",
						"section" => "adsoft_fonts_sizes");
		
		return $adsoft_settings;
	}

?>