<?php
	
	function adsoft_sections_frontpage() {
		$adsoft_sections = array();
		
		$adsoft_sections[] = array("id" => "adsoft_frontpage_template",
					"name" => __('Activate Frontpage Template', 'adsoft_language'));
					
		$adsoft_sections[] = array("id" => "adsoft_frontpage_slider",
					"name" => __('Frontpage Slider', 'adsoft_language'));
					
		$adsoft_sections[] = array("id" => "adsoft_frontpage_sticky_posts",
					"name" => __('Sticky Posts', 'adsoft_language'));
						
		$adsoft_sections[] = array("id" => "adsoft_frontpage_scrolling_area",
					"name" => __('Scrolling Area', 'adsoft_language'));
					
		$adsoft_sections[] = array("id" => "adsoft_frontpage_area_one",
					"name" => __('#1 Posts from Category (horizontal)', 'adsoft_language'));
					
		$adsoft_sections[] = array("id" => "adsoft_frontpage_area_two",
					"name" => __('#2 Posts from Category  (boxed)', 'adsoft_language'));
					
		$adsoft_sections[] = array("id" => "adsoft_frontpage_area_three",
					"name" => __('#3 Posts from two Categories (2 columns)', 'adsoft_language'));		
					
		$adsoft_sections[] = array("id" => "adsoft_frontpage_area_four",
					"name" => __('#4 Posts from Category (boxed)', 'adsoft_language'));				
					
		$adsoft_sections[] = array("id" => "adsoft_frontpage_posts",
					"name" => __('Normal Blog Posts', 'adsoft_language'));

		return $adsoft_sections;
	}
	
	function adsoft_settings_frontpage() {
	
		// Create Categories Array
		$categories = array();
		$categories[] = '';
		$categories_slider = array();
		$categories_slider[''] = 'All Categories';
		
		$cats = get_categories(); 
		foreach ($cats as $cat) {
			$categories[$cat->category_nicename] = $cat->cat_name;
			$categories_slider[$cat->category_nicename] = $cat->cat_name;
		}
	
		
		### FRONTPAGE Template
		#######################################################################################
		$adsoft_settings[] = array("name" => __('Turn on Frontpage Template?', 'adsoft_language'),
						"desc" => __('Check this to automatically display the frontpage template on HOME page. You can also manually create a page and select the "Frontpage Template" page template instead of using this option.', 'adsoft_language'),
						"id" => "adsoft_frontpage_activate",
						"std" => "false",
						"type" => "checkbox",
						"section" => "adsoft_frontpage_template");
						
		### STICKY POST
		#######################################################################################
		$adsoft_settings[] = array("name" => __('Show sticky posts', 'adsoft_language'),
						"desc" => __('Check this to display sticky post.', 'adsoft_language'),
						"id" => "adsoft_frontpage_sticky_posts_active",
						"std" => "false",
						"type" => "checkbox",
						"section" => "adsoft_frontpage_sticky_posts");
		
		### FRONTPAGE Slider
		#######################################################################################
		
		$adsoft_settings[] = array("name" => __('Show Frontpage Slider?', 'adsoft_language'),
						"desc" => __('Check this to activate the Slideshow displayed on the front page template.', 'adsoft_language'),
						"id" => "adsoft_frontpage_slider_active",
						"std" => "true",
						"type" => "checkbox",
						"section" => "adsoft_frontpage_slider");
						
		$adsoft_settings[] = array("name" => __('Auto Animation', 'adsoft_language'),
						"desc" => __('Animate slider automatically', 'adsoft_language'),
						"id" => "adsoft_frontpage_slider_automatically",
						"std" => "4000",
						"type" => "radio",
						'choices' => array(
									'4000' => __('True', 'adsoft_language'),
									'false' => __('False', 'adsoft_language')),
						"section" => "adsoft_frontpage_slider"
						);																	
						
		$adsoft_settings[] = array("name" => __('Slide Speed', 'adsoft_language'),
						"desc" => __('Slide speed in milliseconds.', 'adsoft_language'),
						"id" => "adsoft_frontpage_slide_speed",
						"std" => "200",
						"type" => "text",
						"section" => "adsoft_frontpage_slider"
						);	
						
		$adsoft_settings[] = array("name" => __('Pagination Speed', 'adsoft_language'),
						"desc" => __('Pagination speed in milliseconds.', 'adsoft_language'),
						"id" => "adsoft_frontpage_slider_pagination_speed",
						"std" => "800",
						"type" => "text",
						"section" => "adsoft_frontpage_slider"
						);	
						
		$adsoft_settings[] = array("name" => __('Rewind Speed', 'adsoft_language'),
						"desc" => __('Rewind speed in milliseconds.', 'adsoft_language'),
						"id" => "adsoft_frontpage_slider_rewind_speed",
						"std" => "1000",
						"type" => "text",
						"section" => "adsoft_frontpage_slider"
						);		
						
		$adsoft_settings[] = array("name" => __('Slider Content', 'adsoft_language'),
						"desc" => "",
						"id" => "adsoft_frontpage_slider_content",
						"std" => "recent",
						"type" => "radio",
						'choices' => array(
									'recent' => __('Show recent posts', 'adsoft_language'),
									'popular' => __('Show popular posts', 'adsoft_language')),
						"section" => "adsoft_frontpage_slider");
						
		$adsoft_settings[] = array("name" => __('Slider Category', 'adsoft_language'),
						"desc" => __("Select a category which posts are displayed at the featured posts slider .", 'adsoft_language'),
						"id" => "adsoft_frontpage_slider_category",
						"std" => "",
						"type" => "select",
						'choices' => $categories_slider,
						"section" => "adsoft_frontpage_slider");

		$adsoft_settings[] = array("name" => __('Number of Posts', 'adsoft_language'),
						"desc" => __('Enter the number how much posts should be displayed in the post slider.', 'adsoft_language'),
						"id" => "adsoft_frontpage_slider_limit",
						"std" => "5",
						"type" => "text",
						"section" => "adsoft_frontpage_slider");
						
		### CATEGORY SCROLLING BOX
		#######################################################################################	
		
		$adsoft_settings[] = array("name" => __('Show category scrolling area?', 'adsoft_language'),
						"desc" => __('Check this to activate the scrolling area displayed on the front page template.', 'adsoft_language'),
						"id" => "adsoft_frontpage_scrolling_area_active",
						"std" => "true",
						"type" => "checkbox",
						"section" => "adsoft_frontpage_scrolling_area");

		$adsoft_settings[] = array("name" => __('Category Posts Title', 'adsoft_language'),
						"desc" => __('Enter here the title which is displayed above the category posts.', 'adsoft_language'),
						"id" => "adsoft_frontpage_category_scrolling_area_title",
						"std" => '',
						"type" => "text",
						"section" => "adsoft_frontpage_scrolling_area");
						
		$adsoft_settings[] = array("name" => __('Category', 'adsoft_language'),
						"desc" => __("Select the category of which posts should be displayed.", 'adsoft_language'),
						"id" => "adsoft_frontpage_scrolling_area_category",
						"std" => "",
						"type" => "select",
						'choices' => $categories,
						"section" => "adsoft_frontpage_scrolling_area");
								
		### CATEGORY ONE AREA SETTINGS
		#######################################################################################							
		$adsoft_settings[] = array("name" => __('Category Posts Title', 'adsoft_language'),
						"desc" => __('Enter here the title which is displayed above the category posts.', 'adsoft_language'),
						"id" => "adsoft_frontpage_category_one_title",
						"std" => '',
						"type" => "text",
						"section" => "adsoft_frontpage_area_one");
						
		$adsoft_settings[] = array("name" => __('Category', 'adsoft_language'),
						"desc" => __("Select the category of which posts should be displayed.", 'adsoft_language'),
						"id" => "adsoft_frontpage_category_one",
						"std" => "",
						"type" => "select",
						'choices' => $categories,
						"section" => "adsoft_frontpage_area_one");
						
		### CATEGORY TWO AREA SETTINGS
		#######################################################################################							
		$adsoft_settings[] = array("name" => __('Category', 'adsoft_language'),
						"desc" => __("Select the category of which posts should be displayed.", 'adsoft_language'),
						"id" => "adsoft_frontpage_category_two",
						"std" => "",
						"type" => "select",
						'choices' => $categories,
						"section" => "adsoft_frontpage_area_two");
						
		### CATEGORY THREE AREA SETTINGS
		#######################################################################################							
		$adsoft_settings[] = array("name" => __('First Category ', 'adsoft_language'),
						"desc" => __("Select the first category of which posts should be displayed.", 'adsoft_language'),
						"id" => "adsoft_frontpage_category_three",
						"std" => "",
						"type" => "select",
						'choices' => $categories,
						"section" => "adsoft_frontpage_area_three");
						
		$adsoft_settings[] = array("name" => __('Category', 'adsoft_language'),
						"desc" => __("Select the category of which posts should be displayed.", 'adsoft_language'),
						"id" => "adsoft_frontpage_category_four",
						"std" => "",
						"type" => "select",
						'choices' => $categories,
						"section" => "adsoft_frontpage_area_three");
						
		### CATEGORY FOUR AREA SETTINGS
		#######################################################################################							
		$adsoft_settings[] = array("name" => __('Category', 'adsoft_language'),
						"desc" => __("Select the category of which posts should be displayed.", 'adsoft_language'),
						"id" => "adsoft_frontpage_category_five",
						"std" => "",
						"type" => "select",
						'choices' => $categories,
						"section" => "adsoft_frontpage_area_four");
		
		### FRONTPAGE POSTS
		#######################################################################################		
		$adsoft_settings[] = array("name" => __('Display Latest Blog Posts?', 'adsoft_language'),
						"desc" => __('Check this to show the latest blog posts in the normal blog layout on the frontpage template', 'adsoft_language'),
						"id" => "adsoft_frontpage_posts_active",
						"std" => "false",
						"type" => "checkbox",
						"section" => "adsoft_frontpage_posts");
						
		$adsoft_settings[] = array("name" => __('Latest Blog Posts Category', 'adsoft_language'),
						"desc" => __("Select the category of which the latest blog posts should be displayed.", 'adsoft_language'),
						"id" => "adsoft_frontpage_posts_category",
						"std" => "",
						"type" => "select",
						'choices' => $categories_slider,
						"section" => "adsoft_frontpage_posts");
		
		return $adsoft_settings;
	}

?>