<?php
	
	function adsoft_sections_general() {
		$adsoft_sections = array();
		
		$adsoft_sections[] = array("id" => "adsoft_general_favicon",
					"name" => __('Favicon Settings', 'adsoft_language'));		
		
		$adsoft_sections[] = array("id" => "adsoft_general_header",
					"name" => __('Header Settings', 'adsoft_language'));

		$adsoft_sections[] = array("id" => "adsoft_general_ticker",
					"name" => __('News Ticker', 'adsoft_language'));
					
		$adsoft_sections[] = array("id" => "adsoft_general_layout",
					"name" => __('Layout Settings', 'adsoft_language'));

		$adsoft_sections[] = array("id" => "adsoft_general_pagination_section",
					"name" => __('Pagination', 'adsoft_language'));				

		$adsoft_sections[] = array("id" => "adsoft_general_breadcrumbs_section",
					"name" => __('Breadcrumbs', 'adsoft_language'));				
				
		$adsoft_sections[] = array("id" => "adsoft_single_posts_section",
					"name" => __('Single Posts', 'adsoft_language'));
		
		$adsoft_sections[] = array("id" => "adsoft_general_tracking_code_section",
					"name" => __('Tracking Code', 'adsoft_language'));
					
		$adsoft_sections[] = array("id" => "adsoft_general_css_section",
					"name" => __('Custom CSS Code', 'adsoft_language'));
					
		return $adsoft_sections;
	}
	
	
	function adsoft_settings_general() {

		// Create Categories Array
		$categories = array();
		$categories[] = '';
		$categories_ticker = array();
		$categories_ticker[''] = 'All Categories';
		
		$cats = get_categories(); 
		foreach ($cats as $cat) {
			$categories[$cat->category_nicename] = $cat->cat_name;
			$categories_ticker[$cat->category_nicename] = $cat->cat_name;
		}	

		$adsoft_settings = array();
		
		### FAVICON SETTINGS
		#######################################################################################
		$adsoft_settings[] = array("name" => __('Favicons', 'adsoft_language'),
						"desc" => __('Paste the full ico image URL of your favicons ( 16px x 16px ) or click upload Image.', 'adsoft_language'),
						"id" => "adsoft_general_ico",
						"std" => "",
						"type" => "image",
						"section" => "adsoft_general_favicon");

						
		### HEADER SETTINGS
		#######################################################################################

		$adsoft_settings[] = array("name" => __('Logo Image', 'adsoft_language'),
						"desc" => __('Paste the full Image URL of your logo or click Upload Image. Leave this field blank to display the site title instead of a logo image.', 'adsoft_language'),
						"id" => "adsoft_general_logo",
						"std" => "",
						"type" => "image",
						"section" => "adsoft_general_header");

		$adsoft_settings[] = array("name" => __('Show Tagline?', 'adsoft_language'),
						"desc" => __('Check this if you want to show your tagline(blog description) below the logo', 'adsoft_language'),
						"id" => "adsoft_general_tagline",
						"std" => "true",
						"type" => "checkbox",
						"section" => "adsoft_general_header");
						
		$adsoft_settings[] = array("name" => __('Sticky Menu', 'adsoft_language'),
						"desc" => __('Check to enable a fixed menu when scrolling, uncheck to disable', 'adsoft_language'),
						"id" => "adsoft_general_sticky_menu",
						"std" => "true",
						"type" => "checkbox",
						"section" => "adsoft_general_header");	
						
		### NEWS TICKER
		#######################################################################################
		$adsoft_settings[] = array("name" => __('Show News Ticker', 'adsoft_language'),
						"desc" => "",					
						"id" => "adsoft_general_news_ticker",
						"std" => "true",
						"type" => "checkbox",
						"section" => "adsoft_general_ticker");	
						
		$adsoft_settings[] = array("name" => __('News Ticker Content', 'adsoft_language'),
						"desc" => "",
						"id" => "adsoft_ticker_content",
						"std" => "recent",
						"type" => "radio",
						'choices' => array(
									'recent' => __('Show recent posts', 'adsoft_language'),
									'popular' => __('Show popular posts', 'adsoft_language')),
						"section" => "adsoft_general_ticker");
						
		$adsoft_settings[] = array("name" => __('News Ticker Category', 'adsoft_language'),
						"desc" => __("Select a category which posts are displayed at the featured posts slider .", 'adsoft_language'),
						"id" => "adsoft_ticker_category",
						"std" => "",
						"type" => "select",
						'choices' => $categories_ticker,
						"section" => "adsoft_general_ticker");

		$adsoft_settings[] = array("name" => __('Number of Posts', 'adsoft_language'),
						"desc" => __('Enter the number how much posts should be displayed in the post slider.', 'adsoft_language'),
						"id" => "adsoft_ticker_limit",
						"std" => "10",
						"type" => "text",
						"section" => "adsoft_general_ticker");
					
		### LAYOUT SETTINGS
		#######################################################################################				
		$adsoft_settings[] = array("name" => __('Theme Layout', 'adsoft_language'),
						"desc" => "",
						"id" => "adsoft_general_theme_layout",
						"std" => '650',
						"type" => "radio",
						'choices' => array(
									'650' => __('Boxed (default)', 'adsoft_language'),
									'680' => __('Wide', 'adsoft_language')),
						"section" => "adsoft_general_layout"
						);
						
		$adsoft_settings[] = array("name" => __('Sidebar Options', 'adsoft_language'),
						"desc" => "",
						"id" => "adsoft_general_sidebars",
						"std" => 'right',
						"type" => "radio",
						'choices' => array(
									'left' => __('Left Sidebar', 'adsoft_language'),
									'right' => __('Right Sidebar', 'adsoft_language')),
						"section" => "adsoft_general_layout"
						);
					
		$adsoft_settings[] = array("name" => __('Footer Content', 'adsoft_language'),
						"desc" => __('Enter the content which is displayed in the footer here.', 'adsoft_language'),
						"id" => "adsoft_general_footer",
						"std" => "Place your Footer Content here",
						"type" => "html",
						"section" => "adsoft_general_layout");

		### PAGINATIONS
		#######################################################################################	

		$adsoft_settings[] = array("name" => __('Use Pagination ?', 'adsoft_language'),
						"desc" => __('Paginated navigation, which replaces the Older Posts and Newer Posts links with helpful numbered page links', 'adsoft_language'),
						"id" => "adsoft_general_pagination",
						"std" => "true",
						"type" => "checkbox",
						"section" => "adsoft_general_pagination_section");
		
		### Single Posts
		#######################################################################################

		$adsoft_settings[] = array("name" => __('Display Related Posts?', 'adsoft_language'),
						"desc" => __('Display related posts by category at the bottom of single posts', 'adsoft_language'), 
						"id" => "adsoft_related_post_section_activated",
						"std" => "true",
						"type" => "checkbox",
						"section" => "adsoft_single_posts_section");
					
		$adsoft_settings[] = array("name" => __('Display Author Box?', 'adsoft_language'),
						"desc" => __('ceck to display the author bio at the end of the posts, set up your social profile url at Users >> Your Profil.', 'adsoft_language'), 
						"id" => "adsoft_author_section_activated",
						"std" => "true",
						"type" => "checkbox",
						"section" => "adsoft_single_posts_section");					
        ### Author 
		#######################################################################################

		
		### BREADCRUMBS
		#######################################################################################						
						
		$adsoft_settings[] = array("name" => __('Use Breadcrumb ?', 'adsoft_language'),
						"desc" => __('Ceck to use breadcrumbs', 'adsoft_language'),
						"id" => "adsoft_general_breadcrumbs",
						"std" => "true",
						"type" => "checkbox",
						"section" => "adsoft_general_breadcrumbs_section");						

		### TRACKING CODE
		#######################################################################################
		$adsoft_settings[] = array("name" => __('Tracking Code', 'adsoft_language'),
						"desc" => __('Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.', 'adsoft_language'),
						"id" => "adsoft_general_tracking",
						"std" => "",
						"type" => "textarea",
						"section" => "adsoft_general_tracking_code_section");
		
		### CUSTOM CSS
		#######################################################################################
		$adsoft_settings[] = array("name" => __('Custom CSS', 'adsoft_language'),
						"desc" => __('Place your Custom CSS code here.', 'adsoft_language'),
						"id" => "adsoft_general_css",
						"std" => "",
						"type" => "textarea",
						"section" => "adsoft_general_css_section");
										
		return $adsoft_settings;
	}

?>