<?php
/***
 * Template Tags
 *
 * This file contains several template functions which are used to print out specific HTML markup
 * in the theme. You can override these template functions within your child theme.
 *
 */
	

// Display Custom Header
if ( ! function_exists( 'adsoft_display_custom_header' ) ):
	
	function adsoft_display_custom_header() {

		// Check if there is a custom header image
		if( get_header_image() != '' ) : ?>
				
				<div id="custom-header" class="container">
					<img src="<?php echo get_header_image(); ?>" />
				</div>
			
			<?php 
			
		endif;

	}
	
endif;


// Display Postmeta Data
if ( ! function_exists( 'adsoft_display_postmeta' ) ) :
	
	function adsoft_display_postmeta() { ?>
		
		<span class="meta-date">
		<i class="ico-calendar"></i>
		<?php printf(__('Posted on <a class="updated" href="%1$s" title="%2$s" rel="bookmark"><time datetime="%3$s">%4$s</time></a>', 'adsoft_language'), 
				esc_url( get_permalink() ),
				esc_attr( get_the_time() ),
				esc_attr( get_the_date( 'c' ) ),
				esc_html( get_the_date() )
			);
		?>
		</span>
		
		<span class="meta-author sep">
		<i class="ico-user"></i>
		<?php printf(__('by <a class="fn" href="%1$s" title="%2$s" rel="author">%3$s</a>', 'adsoft_language'), 
				esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
				esc_attr( sprintf( __( 'View all posts by %s', 'adsoft_language' ), get_the_author() ) ),
				get_the_author()
			);
		?>
		</span>

	<?php if ( comments_open() ) : ?>
		<span class="meta-comments sep">
		<i class="ico-comment"></i>
			<?php comments_popup_link( __('Leave a comment', 'adsoft_language'),__('One comment','adsoft_language'),__('% comments','adsoft_language') ); ?>
		</span>
	<?php endif; ?>
	<?php
		edit_post_link(__( 'Edit Post', 'adsoft_language' ));
	}
	
endif;


// Display Postinfo Data on Archive Pages
if ( ! function_exists( 'adsoft_display_postinfo_index' ) ):
	
	function adsoft_display_postinfo_index() { 
	
	    // Translators: used between list items, there is a space after the comma.
	$categories_list = get_the_category_list( __( ', ', 'adsoft_language' ) );
	if ( $categories_list ) {
		echo '<span class="meta-category"><i class="ico-folder-open"></i>' . $categories_list . '</span>';
	}
		?>
	<?php
	
	}
	
endif;

// Display Postinfo Data
if ( ! function_exists( 'adsoft_display_postinfo_slider' ) ):
	
	function adsoft_display_postinfo_slider() {
    // Translators: used between list items, there is a space after the comma.
	$categories_list = get_the_category_list( __( ', ', 'adsoft_language' ) );
	if ( $categories_list ) {
		echo '<span class="meta-category"><i class="ico-folder-open"></i>' . $categories_list . '</span>';
	}
	 printf('|<span class="meta-date"><i class="ico-calendar"></i><a href="%1$s" title="%2$s" rel="bookmark"><time datetime="%3$s">%4$s</time></a></span>', 
				esc_url( get_permalink() ),
				esc_attr( get_the_time() ),
				esc_attr( get_the_date( 'c' ) ),
				esc_html( get_the_date() )
			);
		}
endif;	
	
// Display Postinfo Data
if ( ! function_exists( 'adsoft_display_postinfo_single' ) ):
	
	function adsoft_display_postinfo_single() {
    // Translators: used between list items, there is a space after the comma.
	$categories_list = get_the_category_list( __( ', ', 'adsoft_language' ) );
	if ( $categories_list ) {
		echo '<span class="meta-category"><i class="ico-folder-open"></i>' . $categories_list . '</span>';
	}
	// Translators: used between list items, there is a space after the comma.
	$tag_list = get_the_tag_list( '', __( ', ', 'adsoft_language' ) );
	if ( $tag_list ) {
		echo '<span class="meta-tags"><i class="ico-tags"></i>' . $tag_list . '</span>';
	}	
		
	}
	
endif;


// Display Frontpage Category Postmeta Data
if ( ! function_exists( 'adsoft_display_postmeta_frontpage' ) ) :
	
	function adsoft_display_postmeta_frontpage() { ?>
		
		<span class="meta-date">
		<i class="ico-calendar"></i>
		<?php printf('<a href="%1$s" title="%2$s" rel="bookmark"><time datetime="%3$s">%4$s</time></a>', 
				esc_url( get_permalink() ),
				esc_attr( get_the_time() ),
				esc_attr( get_the_date( 'c' ) ),
				esc_html( get_the_date() )
			);
		?>
		</span>
	<?php
	
	}
	
endif;

// Display scrolling Data
if ( ! function_exists( 'adsoft_display_postmeta_scrolling ' ) ) :
	
	function adsoft_display_postmeta_scrolling () { ?>
		
	<?php if ( comments_open() ) : ?>
		<span class="meta-comments sep">
		<i class="ico-comment"></i>
			<?php comments_popup_link( __('0', 'adsoft_language'),__('One','adsoft_language'),__('%','adsoft_language') ); ?>
		</span>
	<?php endif; ?>
	<?php

	}
	
endif;
	
// Display Content Pagination
if ( ! function_exists( 'adsoft_content_nav' ) ) :
/**
 * Display navigation to next/previous pages when applicable
 */
function adsoft_content_nav( $nav_id ) {
	global $wp_query, $post;

	// Don't print empty markup on single pages if there's nowhere to navigate.
	if ( is_single() ) {
		$previous = ( is_attachment() ) ? get_post( $post->post_parent ) : get_adjacent_post( false, '', true );
		$next = get_adjacent_post( false, '', false );

		if ( ! $next && ! $previous )
			return;
	}

	// Don't print empty markup in archives if there's only one page.
	if ( $wp_query->max_num_pages < 2 && ( is_home() || is_archive() || is_author() || is_category() ||  is_tag() || is_search() ) )
		return;

	$nav_class = ( is_single() ) ? 'post-navigation' : 'paging-navigation';

	?>
	<nav role="navigation" id="<?php echo esc_attr( $nav_id ); ?>" class="<?php echo $nav_class; ?>">
		<h1 class="screen-reader-text"><?php _e( 'Post navigation', 'adsoft_language' ); ?></h1>

	<?php if ( is_single() ) : // navigation links for single posts ?>

		<?php previous_post_link( '<div class="nav-previous"><span>Previous Article</span>%link</div>', '%title <p style="font-size:4em;"><i class="ico-angle-double-left"></i></p>'); ?>
		<?php next_post_link( '<div class="nav-next"><span>Next Article</span>%link</div>', '%title <p  style="font-size:4em;"><i class="ico-angle-double-right"></i></p>' ); ?>

	<?php elseif ( $wp_query->max_num_pages > 1 && ( is_home() || is_archive() || is_author() || is_category() ||  is_tag() || is_search() ) ) : // navigation links for home, archive, and search pages ?>

    <?php
        global $wp_query;
            $total_pages = $wp_query->max_num_pages;
            if ($total_pages > 1){
              $current_page = max(1, get_query_var('paged'));
              echo '<div class="page_nav">';
              echo paginate_links(array(
                  'base' => get_pagenum_link(1) . '%_%',
                  'format' => '/page/%#%',
                  'current' => $current_page,
                  'total' => $total_pages,
                  'prev_text' => '&larr; Prev',
                  'next_text' => 'Next &rarr;'
                ));
              echo '</div>';
            }
    ?>

	<?php endif; ?>

	</nav><!-- #<?php echo esc_html( $nav_id ); ?> -->
	<?php
}
endif; // adsoft_content_nav


// Display sticky post
if ( ! function_exists( 'adsoft_display_sticky_posts' ) ):

	function adsoft_display_sticky_posts() { 
		// get sticky posts from DB
		$sticky = get_option('sticky_posts');
		// Limit the number of words in slideshow post excerpts
		add_filter('excerpt_length', 'adsoft_excerpt_length'); 		
        // override the query
		$args  = array(
				'posts_per_page' => 1,
				'post__in'  => $sticky,
				'ignore_sticky_posts' => 1
		);
		$tux_query = new WP_Query($args);
	?>
		
		<div class="frontpage-category-wrapper clearfix">

		<?php if ( $sticky[0] ); ?>
		    <?php while ($tux_query->have_posts()) : $tux_query->the_post(); ?>	
			<article id="post-<?php the_ID(); ?>" <?php post_class('sticky-post'); ?> >				
		    
     			<?php the_post_thumbnail( 'frontpage_big_image', array('class' => 'alignleft')); ?> 
				<h3 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h3>										
				<div class="entry">
					<?php the_excerpt(); ?>										
					<a href="<?php esc_url(the_permalink()) ?>" class="stickybtn"><?php _e('Read more', 'adsoft_language'); ?><i class="ico-link"></i></a>
				</div>
				
			</article>
			<?php endwhile; ?>
           </div>
		
		<?php wp_reset_postdata(); ?>
<?php
		// Remove excerpt filter
		remove_filter('excerpt_length', 'adsoft_excerpt_length');
		
	}
	
endif;




// Display horizontal posts from category
if ( ! function_exists( 'adsoft_display_category_posts_horizontal' ) ):

	function adsoft_display_category_posts_horizontal() { 
	
		// Get Theme Options
		$options = get_option('adsoft_options');
		
		// Limit the number of words in post excerpts
		add_filter('excerpt_length', 'adsoft_frontpage_category_excerpt_length'); 
		
		// Get Query Arguments for Category Posts
		$query_arguments = array(
			'post_type' => 'post',
			'post_status' => 'publish',
			'showposts' => 3,
			'caller_get_posts' => 1,
			'orderby' => 'date',
			'category_name' => esc_attr($options['adsoft_frontpage_category_one'])
		);
		$tux_category_query = new WP_Query($query_arguments);
	?>
		
		<div class="frontpage-category-wrapper clearfix">
		
			<?php if(isset($options['adsoft_frontpage_category_one_title']) and $options['adsoft_frontpage_category_one_title'] <> '') : ?>
				<h2 class="frontpage-box-title"><span><?php echo esc_attr($options['adsoft_frontpage_category_one_title']); ?></span></h2>
			<?php endif; ?>

			<div class="frontpage-category-horizontal clearfix">

		<?php if ($tux_category_query->have_posts()) : while ($tux_category_query->have_posts()) : $tux_category_query->the_post(); $i++;
			     adsoft_display_category_loop($i);
			
		    endwhile;
			
		   echo '</div>';
		   
		endif; ?>
		
           </div>
		</div>
		
		<?php wp_reset_postdata(); ?>
<?php
		// Remove excerpt filter
		remove_filter('excerpt_length', 'adsoft_frontpage_category_excerpt_length');
		
	}
	
endif;

// Display boxed category posts
if ( ! function_exists( 'adsoft_display_category_loop' ) ):

	function adsoft_display_category_loop($i) { 
	
		global $post;
		
		if(isset($i) and $i == 1) : ?>
			
			<article id="post-<?php the_ID(); ?>" <?php post_class('first-post'); ?>>				
			
				<h3 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h3>						
				
				<a href="<?php the_permalink() ?>" rel="bookmark"><?php the_post_thumbnail('frontpage_big_image'); ?></a>

				<div class="entry">
					<?php the_excerpt(); ?>
				<div class="postmeta"><?php adsoft_display_postmeta_frontpage(); ?><a href="<?php esc_url(the_permalink()) ?>" class="read-more"><?php _e('Read more', 'adsoft_language'); ?><i class="ico-link"></i></a></div>											
				</div>
				
			</article>
			
		<div class="more-posts clearfix">
			
		<?php else: ?>
		
			<article id="post-<?php the_ID(); ?>" <?php post_class('clearfix'); ?>>		
			
				<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>			
				<div class="entry">			
					<?php the_excerpt(); ?>			
				<div class="postmeta"><?php adsoft_display_postmeta_frontpage(); ?><a href="<?php esc_url(the_permalink()) ?>" class="read-more"><?php _e('Read more', 'adsoft_language'); ?><i class="ico-link"></i></a></div>						
				</div>
				
			</article>
			
		<?php endif;
	
	}
	
endif;



// Display boxed category posts
if ( ! function_exists( 'adsoft_display_category_posts_boxed' ) ):

	function adsoft_display_category_posts_boxed($category) { 
	
		// Limit the number of words in slideshow post excerpts
		add_filter('excerpt_length', 'adsoft_frontpage_category_excerpt_length'); 
		
		// Get Query Arguments for Category Posts
		$query_arguments = array(
			'post_type' => 'post',
			'post_status' => 'publish',
			'showposts' => 3,
			'caller_get_posts' => 1,
			'orderby' => 'date',
			'category_name' => esc_attr($category)
		);
		$tux_category_query = new WP_Query($query_arguments);
		$i = 0;
	?>
		
		<div class="frontpage-category-wrapper clearfix">
		
			<h2 class="frontpage-category-title">
				<?php printf( __( 'Latest in<span>%s</span>', 'adsoft_language' ), get_category_by_slug(esc_attr($category))->cat_name); ?>
			</h2>
			
			<div class="frontpage-category-boxed">

		<?php if ($tux_category_query->have_posts()) : while ($tux_category_query->have_posts()) : $tux_category_query->the_post(); $i++;
			
				adsoft_display_category_loop($i);
			
			endwhile;

			echo '</div>';

		endif; ?>
		
		<?php wp_reset_postdata(); ?>

			</div>
			
		</div>
		
<?php
		// Remove excerpt filter
		remove_filter('excerpt_length', 'adsoft_frontpage_category_excerpt_length');
	
	}
	
endif;


// Display horizontal Scrolling Box
if ( ! function_exists( 'adsoft_display_category_scrolling_box' ) ):

	function adsoft_display_category_scrolling_box() { 
	
		// Get Theme Options
		$options = get_option('adsoft_options');
		
		// Get Query Arguments for Category Posts
		$query_arguments = array(
			'post_type' => 'post',
			'post_status' => 'publish',
			'showposts' => 8,
			'caller_get_posts' => 1,
			'orderby' => 'date',
			'category_name' => esc_attr($options['adsoft_frontpage_scrolling_area_category'])
		);
		$tux_category_query = new WP_Query($query_arguments);
	?>
		
		<div class="frontpage-category-wrapper clearfix">
		
			<?php if(isset($options['adsoft_frontpage_category_scrolling_area_title']) and $options['adsoft_frontpage_category_scrolling_area_title'] <> '') : ?>
				<h2 class="frontpage-box-title"><span><?php echo esc_attr($options['adsoft_frontpage_category_scrolling_area_title']); ?></span></h2>
			<?php endif; ?>

		<?php if ($tux_category_query->have_posts()) : ?>

          <div id="scrolling" class="owl-carousel owl-theme">	
		<?php while ($tux_category_query->have_posts()) : $tux_category_query->the_post(); ?>	
			<div class="item <?php the_ID(); ?>">
					<?php the_post_thumbnail( 'thumb-medium' ); ?> 
				<div class="mask">
                    <a href="<?php wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumb-medium' ); ?>" class="view effects" rel="bookmark"><i class="ico-link"></i><?php _e('Zoom', 'adsoft_language'); ?></a>
					<a href="<?php esc_url(the_permalink()) ?>" class="info"><i class="ico-resize"></i><?php _e('View', 'adsoft_language'); ?></a>
			    </div>
				<h2><a href="<?php esc_url(the_permalink()) ?>" class="scrolltitle" rel="bookmark"><?php the_title(); ?></a></h2>
			<div class="iteminfo clearfix"><?php adsoft_display_postmeta_scrolling(); ?></div>
			</div>
		<?php endwhile; ?>
		
		</div>
		</div>
			<?php endif; ?>	
		<?php wp_reset_postdata(); ?>
<?php
		
	}
	
endif;

// Display 2 columns category posts
if ( ! function_exists( 'adsoft_display_category_posts_columns' ) ):

	function adsoft_display_category_posts_columns() { 
	
		// Get Theme Options
		$options = get_option('adsoft_options');
		
		// Limit the number of words in post excerpts
		add_filter('excerpt_length', 'adsoft_frontpage_category_excerpt_length'); 
		
		// Get Query Arguments for Category Posts
		$query_arguments = array(
			'post_type' => 'post',
			'post_status' => 'publish',
			'showposts' => 3,
			'caller_get_posts' => 1,
			'orderby' => 'date',
			'category_name' => esc_attr($options['adsoft_frontpage_category_three'])
		);
		$tux_first_category_query = new WP_Query($query_arguments);
		
		// Get second category posts
		if(isset($options['adsoft_frontpage_category_four']) and $options['adsoft_frontpage_category_four'] != '0') : 
			
			$query_arguments = array(
				'post_type' => 'post',
				'post_status' => 'publish',
				'showposts' => 3,
				'caller_get_posts' => 1,
				'orderby' => 'date',
				'category_name' => esc_attr($options['adsoft_frontpage_category_four'])
			);
			$tux_second_category_query = new WP_Query($query_arguments);
			$i = 0; $j = 0;
			
		endif;
	?>
		
		<div class="frontpage-category-wrapper clearfix">
		
			<div class="frontpage-category-left frontpage-category-columns">
		
				<h2 class="frontpage-category-title">
					<?php printf( __( 'Latest in<span>%s</span>', 'adsoft_language' ), get_category_by_slug(esc_attr($options['adsoft_frontpage_category_three']))->cat_name); ?>
				</h2>
			
				<?php if ($tux_first_category_query->have_posts()) : while ($tux_first_category_query->have_posts()) : $tux_first_category_query->the_post(); $i++;
				
						adsoft_display_category_loop($i);
					
					endwhile;

					echo '</div>';

				endif; ?>
			
		<?php wp_reset_postdata(); ?>
		
			</div>
			
			
	<?php // Get second category posts
		if(isset($options['adsoft_frontpage_category_four']) and $options['adsoft_frontpage_category_four'] != '0') : 
			
			$query_arguments = array(
				'post_type' => 'post',
				'post_status' => 'publish',
				'showposts' => 3,
				'caller_get_posts' => 1,
				'orderby' => 'date',
				'category_name' => esc_attr($options['adsoft_frontpage_category_four'])
			);
			$tux_second_category_query = new WP_Query($query_arguments);
			$i = 0; $j = 0;
	?>
			<div class="frontpage-category-right frontpage-category-columns">
		
				<h2 class="frontpage-category-title">
					<?php printf( __( 'Latest in<span>%s</span>', 'adsoft_language' ), get_category_by_slug(esc_attr($options['adsoft_frontpage_category_four']))->cat_name); ?>
				</h2>
				<?php if ($tux_second_category_query->have_posts()) : while ($tux_second_category_query->have_posts()) : $tux_second_category_query->the_post(); $j++;
				
						adsoft_display_category_loop($j);
					
					endwhile;

					echo '</div>';

				endif; ?>
			
		<?php wp_reset_postdata(); ?>
		
			</div>
			
	<?php endif; ?>
			
		</div>
		
<?php
		// Remove excerpt filter
		remove_filter('excerpt_length', 'adsoft_frontpage_category_excerpt_length');
		
	}
	
endif;

// Display Frontpage Slideshow
if ( ! function_exists( 'adsoft_display_frontpage_slideshow' ) ):

	function adsoft_display_frontpage_slideshow() { 
	
		// Get Query Arguments for Featured Posts Slider
		$options = get_option('adsoft_options');
		$slider_limit = intval($options['adsoft_frontpage_slider_limit']);
		$slider_content = ($options['adsoft_frontpage_slider_content'] == 'recent') ? 'date' : 'comment_count';
		$slider_category = $options['adsoft_frontpage_slider_category'];
	
		$query_arguments = array(
			'post_status' => 'publish',
			'ignore_sticky_posts' => true,
			'posts_per_page' => $slider_limit,
			'orderby' => $slider_content,
			'order' => 'DESC',
			'category_name' => $slider_category
		);
		$tux_slider_query = new WP_Query($query_arguments);
		
		// Limit the number of words in slideshow post excerpts
		add_filter('excerpt_length', 'adsoft_slideshow_excerpt_length'); 
		
		if ($tux_slider_query->have_posts()) : ?>
		
			<div id="frontpage-slider-wrap" class="clearfix">
                <div id="sliders" class="owl-carousel owl-theme">
			    <?php while ($tux_slider_query->have_posts()) : $tux_slider_query->the_post(); ?>
				
					<div class="item <?php the_ID(); ?>">
					
						<?php the_post_thumbnail('slider_image', array('class' => 'slide-image')); ?>

						<div class="slide-entry clearfix">
							<h2 class="slide-title"><a href="<?php esc_url(the_permalink()) ?>" rel="bookmark"><?php the_title(); ?></a></h2>
							<?php the_excerpt('adsoft_slideshow_excerpt_length'); ?>
							<div class="postinfo clearfix"><?php adsoft_display_postinfo_slider(); ?>
							<a href="<?php esc_url(the_permalink()) ?>" class="slide-more-link"><?php _e('Read more', 'adsoft_language'); ?><i class="ico-link"></i></a>
						    </div>
						</div>
					
					</div>
				
				<?php endwhile; ?>
			

			</div>	
		</div>				
		<?php endif;
	
		// Reset Query
		wp_reset_postdata();
	
	}
	
endif;
// Display Frontpage news ticker\
if ( ! function_exists( 'adsoft_display_news_ticker' ) ):

	function adsoft_display_news_ticker() { 
	
		// Get Query Arguments for Featured Posts Slider
		$options = get_option('adsoft_options');
		$ticker_limit = intval($options['adsoft_ticker_limit']);
		$ticker_content = ($options['adsoft_ticker_content'] == 'recent') ? 'date' : 'comment_count';
		$ticker_category = $options['adsoft_ticker_category'];
	
		$query_arguments = array(
			'post_status' => 'publish',
			'ignore_sticky_posts' => true,
			'posts_per_page' => $ticker_limit,
			'orderby' => $ticker_content,
			'order' => 'DESC',
			'category_name' => $ticker_category
		);
		$tux_ticker_query = new WP_Query($query_arguments);
		
		// Limit the number of words in slideshow post excerpts
		
		if ($tux_ticker_query->have_posts()) : ?>
     <div id="ticker-wrapper" class="clearfix no-js">
       <b class="tick-tick"> 
         <?php printf( __( 'HEADLINES :', 'adsoft_language' )); ?>
		</b>
		 <ul id="js-news" class="js-hidden"> 
			<?php while ($tux_ticker_query->have_posts()) : $tux_ticker_query->the_post(); ?>

			<li><a href="<?php esc_url(the_permalink()) ?>" rel="bookmark"><?php the_title(); ?></a></li>

			<?php endwhile; ?>	
	     </ul>	
     </div>	
		<?php endif;
		
		// Reset Query
		wp_reset_postdata();
	
	}
	
endif;

// Display author profile
if ( ! function_exists( 'adsoft_display_author_profile' ) ):

	function adsoft_display_author_profile() { 
				$options = get_option('adsoft_options');
	?>
         <div class="author-bio">
			<?php echo get_avatar( get_the_author_meta('email'), '150' ); ?>
			<div class="author-info">
				<h3 class="author-title"><?php printf(__('Written by', 'adsoft_language') ); ?> <?php the_author_link(); ?></h3>
				<p class="author-description"><?php the_author_meta('description'); ?></p>
				<p><?php printf(__('Website: ', 'adsoft_language') ); ?><a href="<?php the_author_meta('user_url');?>"><?php the_author_meta('user_url');?></a></p>
				<div class="icons">
					<?php 
						$rss_url = get_the_author_meta( 'rss_url' );
						if ( $rss_url && $rss_url != '' ) {
							echo '<a class="rss" href="' . esc_url($rss_url) . '"><i class="ico-rss"></i></a>';
						}
						
						$google_profile = get_the_author_meta( 'google_profile' );
						if ( $google_profile && $google_profile != '' ) {
							echo '<a  class="google" href="' . esc_url($google_profile) . '" rel="author"><i class="ico-gplus"></i></a>';
						}
						
						$twitter_profile = get_the_author_meta( 'twitter_profile' );
						if ( $twitter_profile && $twitter_profile != '' ) {
							echo '<a  class="twitter" href="' . esc_url($twitter_profile) . '"><i class="ico-twitter"></i></a>';
						}
						
						$facebook_profile = get_the_author_meta( 'facebook_profile' );
						if ( $facebook_profile && $facebook_profile != '' ) {
							echo '<a class="facebook" href="' . esc_url($facebook_profile) . '"><i class="ico-facebook"></i></a>';
						}

						$youtube_profile = get_the_author_meta( 'youtube_profile' );
						if ( $youtube_profile && $youtube_profile != '' ) {
							echo '<a class="youtube" href="' . esc_url($youtube_profile) . '"><i class="ico-youtube"></i></a>';
						}
						
						$pinterest_profile = get_the_author_meta( 'pinterest_profile' );
						if ( $pinterest_profile && $pinterest_profile != '' ) {
							echo '<a class="pinterest" href="' . esc_url($pinterest_profile) . '"><i class="ico-pinterest"></i></a>';
						}
						
						$linkedin_profile = get_the_author_meta( 'linkedin_profile' );
						if ( $linkedin_profile && $linkedin_profile != '' ) {
							echo '<a class="linkedin" href="' . esc_url($linkedin_profile) . '"><i class="ico-linkedin"></i></a>';
						}

						$vimeo_profile = get_the_author_meta( 'vimeo_profile' );
						if ( $vimeo_profile && $vimeo_profile != '' ) {
							echo '<a  class="vimeo" href="' . esc_url($vimeo_profile) . '"><i class="ico-vimeo"></i></a>';
						}
						
						$flickr_profile = get_the_author_meta( 'flickr_profile' );
						if ( $flickr_profile && $flickr_profile != '' ) {
							echo '<a class="flickr" href="' . esc_url($flickr_profile) . '"><i class="ico-flickr"></i></a>';
						}

						$tumblr_profile = get_the_author_meta( 'tumblr_profile' );
						if ( $tumblr_profile && $tumblr_profile != '' ) {
							echo '<a class="tumblr" href="' . esc_url($tumblr_profile) . '"><i class="ico-tumblr"></i></a>';
						}
						
						$lastfm_profile = get_the_author_meta( 'lastfm_profile' );
						if ( $lastfm_profile && $lastfm_profile != '' ) {
							echo '<a class="lastfm" href="' . esc_url($lastfm_profile) . '"><i class="ico-lastfm"></i></a>';
						}
						
						$soundcloud_profile = get_the_author_meta( 'soundcloud_profile' );
						if ( $soundcloud_profile && $soundcloud_profile != '' ) {
							echo '<a class="soundcloud" href="' . esc_url($soundcloud_profile) . '"><i class="ico-soundcloud"></i></a>';
						}						
					?>
				</ul>
			</div>
       </div>	
	 </div>
		<?php wp_reset_postdata();
	}
	
endif;

// Display Frontpage Blog Posts
if ( ! function_exists( 'adsoft_display_frontpage_posts' ) ):
	
	function adsoft_display_frontpage_posts() { 
	
		// Get Theme Options from Database
		$options = get_option('adsoft_options'); 
		
		// Get Pagination query
		if ( get_query_var('paged') ) :
			$paged = (int)get_query_var('paged');
		else :
			$paged = 1;
		endif;
		
		$tux_frontpage_posts_query = adsoft_frontpage_posts_query($paged);
	?>
			<h2 class="frontpage-box-title"><span><?php printf(__('Recent Article', 'adsoft_language') ); ?></span></h2>
			
		<div id="frontpage-posts" class="clearfix">

			<?php if ($tux_frontpage_posts_query->have_posts()) : 
				
					while ($tux_frontpage_posts_query->have_posts()) : $tux_frontpage_posts_query->the_post();
					  
						get_template_part( 'loop', 'frontpage' );
						
					endwhile;
			?>

					
			<?php endif; ?>
						<div id="frontpage-posts-load-more" class="clearfix"></div>			
		</div>

		<?php wp_reset_postdata();
	}
	
endif;

// Display Related Posts
if ( ! function_exists( 'adsoft_display_related_posts' ) ):
	
	function adsoft_display_related_posts() { 
    // Get Theme Options from Database
		$options = get_option('adsoft_options'); 
		$categories = get_the_category($post->ID);
    if ($categories) :
    $category_ids = array();
    foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
    endif;
    $args=array(
		'post_status' => 'publish',
		'ignore_sticky_posts' => true,
        'category__in' => $category_ids,
        'post__not_in' => array($post->ID),
        'showposts'=>10,
        'caller_get_posts'=>1);

    $single_query = new wp_query($args);
    ?>	
	<?php if ($single_query->have_posts()) : ?>
	
	<div id="related-posts-wrap" class="clearfix">	
        <h3 class="related-post"><?php printf(__('Related post', 'adsoft_language') ); ?></h3>
		<div id="relatedscrolling" class="owl-carousel owl-theme">
		    <?php while ($single_query->have_posts()) : $single_query->the_post(); ?>
						<div class="item <?php the_ID(); ?>">
					<?php the_post_thumbnail( 'thumb-medium' ); ?> 
				<div class="mask">
                    <a href="<?php wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumb-medium' ); ?>" class="view effects" rel="bookmark"><i class="ico-link"></i><?php _e('Zoom', 'adsoft_language'); ?></a>
					<a href="<?php esc_url(the_permalink()) ?>" class="info"><i class="ico-resize"></i><?php _e('View', 'adsoft_language'); ?></a>
			    </div>
				<h2><a href="<?php esc_url(the_permalink()) ?>" class="scrolltitle" rel="bookmark"><?php the_title(); ?></a></h2>
			<div class="iteminfo clearfix"><?php adsoft_display_postmeta_scrolling(); ?></div>
			</div>						 
            <a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
		<?php endwhile; ?>	
			</div>

		
		</div>
			<?php endif; ?>	
		<?php wp_reset_postdata(); ?>
<?php
		
	}
 endif; 
?>