<?php
/**
 * The widget areas in the footer.
 *
 * @package adsoft
 */
?>

<?php
	/* The footer widget area is triggered if any of the areas
	 * have widgets. So let's check that first.
	 *
	 * If none of the sidebars have widgets, then let's bail early.
	 */
	if (   ! is_active_sidebar( 'sidebar-ft1' )
		&& ! is_active_sidebar( 'sidebar-ft2' )
		&& ! is_active_sidebar( 'sidebar-ft3' )
		&& ! is_active_sidebar( 'sidebar-ft4' )
	)
	return;
	// If we get this far, we have widgets. Let do this.
?>

<div id="extra" <?php adsoft_footer_sidebar_class(); ?>>
	<div class="clearfix pad">
	<?php if ( is_active_sidebar( 'sidebar-ft1' ) ) : ?>
		<div id="widget-area-ft1" class="widget-area" role="complementary">
			<?php dynamic_sidebar( 'sidebar-ft1' ); ?>
		<!-- #widget-area-ft1 --></div>
	<?php endif; ?>

	<?php if ( is_active_sidebar( 'sidebar-ft2' ) ) : ?>
		<div id="widget-area-ft2" class="widget-area" role="complementary">
			<?php dynamic_sidebar( 'sidebar-ft2' ); ?>
		<!-- #widget-area-ft2 --></div>
	<?php endif; ?>

	<?php if ( is_active_sidebar( 'sidebar-ft3' ) ) : ?>
		<div id="widget-area-ft3" class="widget-area" role="complementary">
			<?php dynamic_sidebar( 'sidebar-ft3' ); ?>
		<!-- #widget-area-ft3 --></div>
	<?php endif; ?>

	<?php if ( is_active_sidebar( 'sidebar-ft4' ) ) : ?>
		<div id="widget-area-ft4" class="widget-area" role="complementary">
			<?php dynamic_sidebar( 'sidebar-ft4' ); ?>
		<!-- #widget-area-ft4 --></div>
	<?php endif; ?>
	</div>
<!-- #extra --></div>